// Copyright © 2023 ab180. All rights reserved.

#include "AirbridgeUnrealModule.h"

#if PLATFORM_ANDROID
#include "Platforms/Android/AirbridgeAndroidCore.h"
#elif PLATFORM_IOS
#include "Platforms/iOS/AirbridgeIOSCore.h"
#else
#include "Platforms/AirbridgeDefaultCore.h"
#endif

#define LOCTEXT_NAMESPACE "FAirbridgeUnrealModule"

void FAirbridgeUnrealModule::StartupModule()
{
#if PLATFORM_ANDROID
	AirbridgeCorePointer = MakeShareable(new AirbridgeAndroidCore());
#elif PLATFORM_IOS
	AirbridgeCorePointer = MakeShareable(new AirbridgeIOSCore());
#else
	AirbridgeCorePointer = MakeShareable(new AirbridgeDefaultCore());
#endif
}

void FAirbridgeUnrealModule::ShutdownModule() { }

#undef LOCTEXT_NAMESPACE
	
IMPLEMENT_MODULE(FAirbridgeUnrealModule, AirbridgeUnreal)