package co.ab180.airbridge.ue;

public class AirbridgeCallback {

    private final AirbridgeCallbackType type;
    private final String uuid;
    private boolean useBroadcast = false;

    public AirbridgeCallback(AirbridgeCallbackType type, String uuid) {
        this.type = type;
        this.uuid = uuid;
    }
    
    public AirbridgeCallback(AirbridgeCallbackType type, String uuid, boolean useBroadcast) {
        this(type, uuid);
        this.useBroadcast = useBroadcast;
    }

    public int getCallbackType() {
        return type.ordinal();
    }
    
    public String getUUID() {
        return uuid;
    }
    
    public boolean isBroadcast() {
        return useBroadcast;
    }
}